Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class NameXPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.NameXPtg

All Implemented Interfaces:
  java.lang.Cloneable, WorkbookDependentFormula

    public final class NameXPtg

extends OperandPtg
implements WorkbookDependentFormula

Author:
  aviks

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`NameXPtg(int sheetRefIndex, int nameIndex)`
`NameXPtg(LittleEndianInput in)`

Method Summary
`byte` | `getDefaultOperandClass()`
`int` | `getNameIndex()`
`int` | `getSheetRefIndex()`
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NameXPtg

    public NameXPtg(int sheetRefIndex,
                    int nameIndex)

Parameters:
  `sheetRefIndex` - index to REF entry in externsheet record
  `nameIndex` - index to defined name or externname table

### NameXPtg

    public NameXPtg(LittleEndianInput in)

Method Detail

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

  Specified by:
    `toFormulaString` in interface `WorkbookDependentFormula`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### getSheetRefIndex

    public int getSheetRefIndex()

### getNameIndex

    public int getNameIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD